/*
 *  Copyright (C) 2015  Thadeu Lima de Souza Cascardo <cascardo@cascardo.eti.br>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef _SISTEMA_H
#define _SISTEMA_H

#include <stdio.h>

struct declaracao;

struct sistema {
	char *so;
	char *so_versao;
	char *jvm_versao;
	char *mac;
};

void sistema_free(struct declaracao *dec);

void sistema_salva(struct declaracao *dec, FILE *f);

int sistema_cmd_init(void);

char * sistema_get_so(struct declaracao *dec);
char * sistema_get_so_versao(struct declaracao *dec);
char * sistema_get_jvm_versao(struct declaracao *dec);
char * sistema_get_mac(struct declaracao *dec);

#endif
